### Method

# Snapd Channel get_branch

since: 1.31

#### Declaration [src]

    const gchar*
    snapd_channel_get_branch (
      SnapdChannel* channel
    )

#### Description [src]

Get the branch this channel is tracking.

Available since: 1.31

#### Return value

Type: `const gchar*`

A branch name or `NULL` if not a branch.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.